## tokyotyrant 1.1.40

=== example/Makefile ===
# Makefile for sample programs of Hyper Estraier



#================================================================
# Setting Variables
#================================================================


# Generic settings
SHELL = /bin/sh

# Targets
MYBINS = tcrdbex tcrdbtblex

# Building binaries
CC = gcc
CFLAGS = -ansi -Wall -pedantic -I. -I.. -Wall
LDFLAGS =
LIBS = -L. -L.. -ltokyotyrant -ltokyocabinet -lz -lresolv -lnsl -lpthread -lm -lc
LDENV = LD_RUN_PATH=/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:.:..



#================================================================
# Suffix rules
#================================================================


.SUFFIXES :
.SUFFIXES : .c .o

.c.o :
	$(CC) -c $(CFLAGS) $<



#================================================================
# Actions
#================================================================


all : $(MYBINS)


clean :
	rm -rf $(MYBINS) *.exe *.o a.out check.out gmon.out leak.log casket* *~


.PHONY : all clean



#================================================================
# Building binaries
#================================================================


tcrdbex : tcrdbex.o
	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


tcrdbtblex : tcrdbtblex.o
	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)



# END OF FILE

=== debian/changelog ===
tokyotyrant (1.1.40-4.2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:47:38 +0000

tokyotyrant (1.1.40-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/007-libdl-underlinkage: Apply patch from Ubuntu to fix
    FTBFS due to underlinkage. (Closes: #713675)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Aug 2013 02:41:41 +0200

tokyotyrant (1.1.40-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch to add all libraries needed to linker commandline.
    Patch by Andreas Moog. (LP: #756048) (Closes: #615787)
  * Fix FTBFS since start-stop-daemon resides under /sbin, and this path isn't 
    included in the standard path when building as non-root. This needs to
    update the patch 003-run-service-make-check to add /sbin/
    Patch by Moritz Muehlenhoff. (Closes: #626359)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Sep 2011 16:45:01 +0200

tokyotyrant (1.1.40-4) unstable; urgency=low

  * Fixed bashism in init script (Closes: #581141).

 -- Örjan Persson <orange@fobie.net>  Fri, 14 May 2010 10:11:02 +0200

tokyotyrant (1.1.40-3) unstable; urgency=low

  * Fixed a bug in the init script which on system reboot would start
    up using wrong socket, pid etc. Thanks to Nicolas Noirbent for the
    report (Closes: #576708).

 -- Örjan Persson <orange@fobie.net>  Tue, 06 Apr 2010 20:26:49 +0200

tokyotyrant (1.1.40-2) unstable; urgency=low

  * Updated 003-run-service-make-check to wait until daemon is ready.
  * Sockets are now used as default in utilities.
  * Set umask in init script to restrict access to socket.

 -- Örjan Persson <orange@fobie.net>  Sun, 14 Feb 2010 18:16:30 +0100

tokyotyrant (1.1.40-1) unstable; urgency=low

  * New upstream version (Closes: #566865).
  * Enabled tests and added 003-run-service-make-check.
  * Added 004-kfreebsd-fix to make it build on kfreebsd.

 -- Örjan Persson <orange@fobie.net>  Sun, 07 Feb 2010 20:19:39 +0100

tokyotyrant (0.9.19-3) unstable; urgency=low

  * Updated package description (Closes: #566246).
  * Unix socket is now used as default compared to *:1978.
  * Depend on libtokyocabinet-dev for dev package (Closes: #566584).

 -- Örjan Persson <orange@fobie.net>  Wed, 03 Feb 2010 21:57:38 +0100

tokyotyrant (0.9.19-2) unstable; urgency=low

  * Updated Debian copyright.

 -- Örjan Persson <orange@fobie.net>  Sat, 16 Jan 2010 14:47:19 +0100

tokyotyrant (0.9.19-1) unstable; urgency=low

  * Initial release (Closes: #563921).

 -- Örjan Persson <orange@fobie.net>  Wed, 06 Jan 2010 18:42:42 +0100

=== debian/control ===
Source: tokyotyrant
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Örjan Persson <orange@fobie.net>
Uploaders: Andreas Schuldei <andreas@debian.org>
Build-Depends: debhelper (>= 7.0.50), automake, autotools-dev, gawk, pkg-config, libtokyocabinet-dev (>> 1.4), liblua5.1-0-dev, lua5.1
Standards-Version: 3.8.4
Section: misc
Homepage: http://1978th.net/tokyotyrant/

Package: tokyotyrant
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libtokyotyrant3 (= ${binary:Version}), lsb-base (>= 3.0-6)
Recommends: tokyotyrant-utils
Description: Tokyo Tyrant: network interface to Tokyo Cabinet
 Tokyo Tyrant is a network interface to the DBM Tokyo Cabinet. You might bother
 in the case where multiple processes share the same database or where remote
 processes access the database. Thus, Tokyo Tyrant is provided for concurrent
 and remote connections to Tokyo Cabinet.
 .
 This is the Tokyo Tyrant server package.

Package: tokyotyrant-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, tokyotyrant (= ${binary:Version})
Description: Tokyo Tyrant debugging symbols
 Tokyo Tyrant is a network interface to the DBM Tokyo Cabinet. You might bother
 in the case where multiple processes share the same database or where remote
 processes access the database. Thus, Tokyo Tyrant is provided for concurrent
 and remote connections to Tokyo Cabinet.
 .
 This is the debugging symbols for Tokyo Tyrant.

Package: libtokyotyrant3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tokyo Tyrant runtime libraries
 Tokyo Tyrant is a network interface to the DBM Tokyo Cabinet. You might bother
 in the case where multiple processes share the same database or where remote
 processes access the database. Thus, Tokyo Tyrant is provided for concurrent
 and remote connections to Tokyo Cabinet.
 .
 This is the runtime package for programs that use the Tokyo Tyrant library.

Package: libtokyotyrant-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtokyotyrant3 (= ${binary:Version}), libtokyocabinet-dev
Description: Tokyo Tyrant development files
 Tokyo Tyrant is a network interface to the DBM Tokyo Cabinet. You might bother
 in the case where multiple processes share the same database or where remote
 processes access the database. Thus, Tokyo Tyrant is provided for concurrent
 and remote connections to Tokyo Cabinet.
 .
 This is the development package for Tokyo Tyrant. It contains headers and
 libraries.

Package: tokyotyrant-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Description: Tokyo Tyrant documentation
 Tokyo Tyrant is a network interface to the DBM Tokyo Cabinet. You might bother
 in the case where multiple processes share the same database or where remote
 processes access the database. Thus, Tokyo Tyrant is provided for concurrent
 and remote connections to Tokyo Cabinet.
 .
 This is the documentation for Tokyo Tyrant.

Package: tokyotyrant-utils
Architecture: any
Section: utils
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, libtokyotyrant3 (= ${binary:Version})
Description: Tokyo Tyrant utilities
 Tokyo Tyrant is a network interface to the DBM Tokyo Cabinet. You might bother
 in the case where multiple processes share the same database or where remote
 processes access the database. Thus, Tokyo Tyrant is provided for concurrent
 and remote connections to Tokyo Cabinet.
 .
 This is the Tokyo Tyrant utility package. It contains tcrmgr and ttulmgr among
 others.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	autoreconf -fvi
	dh_auto_configure -- \
		--enable-lua \
		--enable-devel

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installdocs:
	dh_installdocs THANKS

override_dh_strip:
	dh_strip --dbg-package=tokyotyrant-dbg

.PHONY: override_dh_auto_configure override_dh_installchangelogs override_dh_installdocs override_dh_strip

=== debian/watch ===
version=3
http://1978th.net/tokyotyrant/ \
	tokyotyrant-([\d\.]+)\.tar\.gz
